Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.workflow
Class PublishAction

    java.lang.Object
      com.bea.content.virtual.workflow.StandardAction
          com.bea.content.virtual.workflow.PublishAction

All Implemented Interfaces
  WorkflowAction, Serializable

    public class PublishAction

extends StandardAction

Sets the Workflow status for the current version of the node to the value that's set in the WorkflowActionContext. [getVersionableContent()]

This action adds the current version's node content to the real repository and updates the virtual node's Workflow status to `Workflow.PUBLISHED` and assigned user to `null`.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.content.virtual.workflow.StandardAction
`DATA_SOURCE, DEBUG`

Constructor Summary
`PublishAction()`

Method Summary
`void` | `execute(WorkflowActionContext context)` Sets the Workflow status for the current version of the node to the value that's set in the WorkflowActionContext.

Methods inherited from class com.bea.content.virtual.workflow.StandardAction
`assignNodeToRoles, assignNodeToUser, revertAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishAction

    public PublishAction()

Method Detail

### execute

    public void execute(WorkflowActionContext context)
                 throws WorkflowException

  Sets the Workflow status for the current version of the node to the value that's set in the WorkflowActionContext. [getVersionableContent()]

  Specified by:
    `execute` in interface `WorkflowAction`
  Overrides:
    `execute` in class `StandardAction`
  Parameters
    `context` - The WorkflowActionContext object
  Throws
    `WorkflowException` - If an exception occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved